MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022752Community[OCCT] OCCT:Codingpublic2011-10-05 11:282012-03-29 17:26
Reporterszy 
Assigned Todbv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformLinuxOSDebian 4.0OS Version64 bit
Product Version[OCCT] 6.5.1 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022752: Fix compilation on Unix with FreeImage and GL2PS support
DescriptionPost from the Forum (Denis Barbier) - http://www.opencascade.org/org/forum/thread_21948/. [^]
"mage_PixMap.cxx and OpenGl_attri.cxx contain #ifdef HAVE_xxx tests and must then include config.h. Patch attached."
TagsNo tags attached.
Test case numbertest case is not required
Attached Filespatch file icon fix-freeimage-gl2ps-support.patch (960 bytes) 2011-10-05 11:28

- Relationships

-  Notes
(0020118)
dbv (developer)
2012-03-23 15:23

Added missing includes.

Git branch CR22752 is ready to be reviewed.

Dear Andrey,
Please review.
(0020119)
abv (manager)
2012-03-23 15:34

No remarks, please test
(0020145)
aan (tester)
2012-03-26 18:26

Dear BugMaster,

Workbench KAS:dev:aan-22752-occt was created from git branch CR22752
(and aan-22752-products from svn trunk) and compiled on Linux platform.

There are not regressions in aan-22752-products regarding to
KAS:dev:products-20120321-opt

See results in
/QADisk/occttests/results/KAS/dev/aan-22752-products_23032012/lin
See reference results in
/QADisk/occttests/results/KAS/dev/products-2012021-opt_22032012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following
instructions
http://doc/doku.php?id=occt:certification [^]
(0020189)
bugmaster (administrator)
2012-03-29 10:20

Integrated into master

- Related Changesets
occt: master 498ce577
Timestamp: 2012-03-23 11:11:14
Author: dbv
Details ] Diff ]
0022752: Fix compilation on Unix with FreeImage and GL2PS support

Added missed includes config.h
mod - src/Image/Image_PixMap.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Display_1.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Display_2.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_Export.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace_2.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace_3.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace_5.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-10-05 11:28 szy New Issue
2011-10-05 11:28 szy Assigned To => bugmaster
2011-10-05 11:28 szy File Added: fix-freeimage-gl2ps-support.patch
2011-11-25 12:23 szy Assigned To bugmaster => inv
2011-11-25 12:23 szy Status new => assigned
2011-11-25 12:23 szy Description Updated View Revisions
2012-03-22 06:27 abv Assigned To inv => dbv
2012-03-23 15:23 dbv Note Added: 0020118
2012-03-23 15:23 dbv Assigned To dbv => abv
2012-03-23 15:23 dbv Status assigned => resolved
2012-03-23 15:34 abv Note Added: 0020119
2012-03-23 15:34 abv Assigned To abv => dbv
2012-03-23 15:34 abv Status resolved => reviewed
2012-03-23 15:54 mkv Assigned To dbv => aan
2012-03-26 18:26 aan Note Added: 0020145
2012-03-26 18:26 aan Test case number => test case is not required
2012-03-26 18:26 aan Status reviewed => tested
2012-03-29 10:20 bugmaster Note Added: 0020189
2012-03-29 10:20 bugmaster Status tested => verified
2012-03-29 10:20 bugmaster Resolution open => fixed
2012-03-29 10:20 bugmaster Assigned To aan => dbv
2012-03-29 17:26 dbv Changeset attached => occt master 498ce577
2014-01-11 11:58 abv Category OCCT Release:BUILD => OCCT:Coding


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker